package net.knarcraft.serverlauncher.server;

import java.net.URL;

/**
 * Has a name and contains a list of valid server versions.
 */
public class ServerType {
	private String name;
	private String[] versions;
	private URL versionURL;
	private URL downloadURL;
	private String srcStart;
	private String srcEnd;
	
	public ServerType(String name, String[] versions) {
		this.name = name;
		this.versions = versions;
	}
	
	public String getName() {
		return this.name;
	}
	
	public String[] getVersions() {
		return this.versions;
	}
}